*** PeachPay for WooCommerce Changelog ***

2026-06-11 - version 1.120.52
* Added
  * **ConvesioPay**: Support for subscription renewals with Apple Pay and Google Pay.
* Fixes
  * **ConvesioPay**: Fixed an issue where fixed fees could be zeroed out.
  * **Express Checkout**: Improved coupon notices and checkout summary rows.
  * **ConvesioPay & WCA**: Fixed coupon-driven checkout total syncing for recovery flows.
  * **ConvesioPay**: Fixed an issue where saved-card OTP fields did not render at full width.

2026-06-03 - version 1.120.51
* Fixes
  * **ConvesioPay**: Legacy-migrated subscription renewal wrong path — production bug.

2026-06-02 - version 1.120.50
* Fixes
  * **Token display fields fix** — Webhooks now correctly read `lastFour` (previously `last4`). Card brand and last four digits now update on subsequent webhooks rather than being skipped.
  * **Legacy Adyen token label** — Migrated subscriptions with the original Adyen card selected now show a reassuring label instead of an incorrect stale-card warning.
  * **Migrated subscription renewal routing** — Renewals now route through three explicit paths depending on whether the subscription is legacy-migrated and which card is selected. Prevents incorrect customer context when a native token is paired with an Adyen identity.
* Enhancements
  * **MD5 email fallback for customer ID** — Legacy-migrated subscriptions without a ConvesioPay customer ID now derive one from `md5(billing_email)`. Resolved IDs are persisted to the parent order on first use to avoid re-deriving on subsequent requests.
  * **Persistent success modals** — "Update cards on file" and "Card for renewals" success notices replaced with dismissible modals that explain next steps.
  * **No card selected notice** — A red inline notice now appears when no renewal card has been chosen, prompting the customer to select one.
  * **Apple Pay / Google Pay toggle** — Added support for enabling and disabling Apple Pay and Google Pay based on settings.
  * **Native checkout visibility** — Enhanced ConvesioPay native checkout visibility controls.

2026-05-29 - version 1.120.48
* Fixes
  * **ConvesioPay**: Bugfix/subscription renewal for migrated subscriptions.

2026-05-27 - version 1.120.47
* Security
  * **Stripe**: Security fix.

2026-05-25 - version 1.120.46
* Improvements
  * **ConvesioPay**: Refactor/improve Express Checkout load iframe.

2026-05-18 - version 1.120.45
* Major Update
  * PeachPay has moved entirely to a plugin-side architecture. Payments and other features are no longer dependent on the server.
  * **Authorize.Net**: Moved to a client-side integration. Manual API key entry is now required.
* Important Upgrade Notice
  * This update contains breaking changes. We strongly recommend testing on a staging environment before upgrading your production site.
  * Key areas that may require attention after upgrading:
    * Payment gateway reconnections
    * Checkout compatibility
    * Subscription renewals
    * Apple Pay / Google Pay flows
    * Third-party payment methods and redirects
  * If you encounter any issues during testing, please contact PeachPay support before upgrading on a live store.

2026-05-14 - version 1.120.43
* New
  * **ConvesioPay**: Addition of new Orchestration Layer ApplePay certificate.
* Important Upgrade Notice
  * This update contains breaking changes. We strongly recommend testing on a staging environment before upgrading your production site.
  * Key areas that may require attention after upgrading:
    * Payment gateway reconnections
    * Checkout compatibility
    * Subscription renewals
    * Apple Pay / Google Pay flows
    * Third-party payment methods and redirects
  * If you encounter any issues during testing, please contact PeachPay support before upgrading on a live store.

2026-05-11 - version 1.120.42
* Fix(convesiopay): Streamline subscription renewal error handling and logging.

2026-05-11 - version 1.120.41
* Chore: Default gateway order.

2026-05-08 - version 1.120.40
* Fixes
  * **ConvesioPay**: Fix Express Checkout modal compatibility and performance issues.

2026-05-06 - version 1.120.39
* New
  * **ConvesioPay Accelerated Checkout for WooCommerce Checkout**: Introduced an accelerated checkout flow with Apple Pay and Google Pay for faster one-click payments directly on the WooCommerce checkout page.
* Improvements
  * **Enhanced ConvesioPay Checkout UI**: Added loading spinner styles and improved checkout interactions for a smoother customer payment experience.
* Fixes
  * **Stored Card Subscription Renewals**: Fixed an issue where customer billing fields and address details were not being included in stored-card renewal payment payloads.
  * **Migrated Renewal Payload Compatibility**: Fixed migrated subscription renewal payments to route through legacy ConvesioPay identifiers for improved backward compatibility and successful processing.

2026-05-04 - version 1.120.38
* Fixes
  * Updated ConvesioPay address validation to require state/province fields only for US and Canada billing addresses.
  * Resolved a ConvesioPay checkout issue that could trigger 503 Invalid Payment Request errors during payment processing.
* Important Upgrade Notice
  * This release contains breaking changes. Please test thoroughly on a staging environment before updating your live store.
* Payment Gateway Integration Changes
  * Stripe, Square, and PayPal have been migrated to client-side integrations.
  * This change was made to improve platform security and address ongoing OAuth connection instability.
* Before Updating, Please:
  * Test checkout flows on staging
  * Reconnect payment gateways if needed
  * Verify wallet payments and express checkout buttons
  * Confirm webhook/order completion behavior
* Please report any issues to PeachPay Support after testing.

2026-04-28 - version 1.120.37
* Fix(convesiopay): Complete renewal orders only on Succeeded stored-card response

2026-04-23 - version 1.120.36
* MerchantApiKey in integrations/connect request for Team sub users
* Refactor(square): migrate payment flows from PHP SDK to REST client

2026-04-23 - version 1.120.35
* Hardened subscription migrator for large stores and add limited import runs
* Bug Fix: ConvesioPay ignoring merchant-configured payment method titles
* Fix(paypal): hide WooCommerce admin refund button for paid PeachPay PayPal orders

2026-04-22 - version 1.120.34
* Migrate from stripe/stripe-php SDK to WordPress HTTP API

2026-04-21 - version 1.120.33
* ConvesioPay subscription migration system for WooCommerce Subscriptions:
  * Background batched importer from old ConvesioPay metadata to PeachPay metadata.
  * Non-destructive migration contract: old metadata is preserved.
  * Atomic per-subscription flow with migration markers and gateway switching.
  * Rollback runner that reverts only subscriptions migrated by this tool.
  * Dedicated PeachPay WC Subscriptions Importer admin page with import/rollback controls and run visibility.
  * Run-level history in options and per-subscription logs in a dedicated table.
  * Additional UX and audit improvements: status badges, progress percentage, clickable log IDs, clear logs action, and payment-method switch notes on order/subscription.

2026-04-20 - version 1.120.32
* Introducing GooglePay via ConvesioPay

2026-04-20 - version 1.120.31
* Disable Stripe and Square integrations pending vendor dependency resolution

2026-04-20 - version 1.120.30
* Improve address mapping for ConvesioPay

2026-04-20 - version 1.120.29
* CI/CD Update for vendor files

2026-04-17 - version 1.120.28
* CI/CD Optimization

2026-04-17 - version 1.120.27
* Deployment pipeline update and bug fixes

2026-04-16 - version 1.120.26
* Bug Fix - Square fatal error on missing SDK, improve error messages

2026-04-01 - version 1.120.25
* Added NMI payment gateway documentation
* Enabled WooCommerce order-pay (phone orders) support in ConvesioPay unified classic checkout
* Migrated Square to client-side integration with manual API keys
* Implemented PayPal client-side integration
* Added customer card manager for WooCommerce Subscriptions (update saved cards)
* Enabled assigning updated cards to specific WooCommerce subscriptions
* Refactored ConvesioPay Classic Checkout V2 to a single-mount architecture
* Refactored ConvesioPay Block Checkout V2 to a single-mount architecture
* Improved classic V2 one-time mount flow with order-pay form compatibility

2026-03-25 - version 1.120.23
* **Fixed**:
  * **Subscriptions**: Prevented duplicate subscription renewal charges across ConvesioPay and Stripe.
  * **Stripe**: Fixed duplicate WooCommerce refunds triggered by Stripe charge.refunded webhook.
* **Improved**:
  * **Logging**: Standardized payment logging between ConvesioPay and Stripe for better consistency and debugging.
  * **NMI**: Improved homepage payment box with UI reorganization and enhanced validation.
* **Build**:
  * Suppressed known CSS browser-support stylelint warnings to reduce noise in builds.

2026-03-19 - version 1.120.22
* **Fixed**:
  * **CPay**: Bug fix - Subscription order renewal was charging the card twice in some cases.

2026-03-19 - version 1.120.21
* **Fixed**:
  * **CPay**: Bug fix (Connect Button).

2026-03-19 - version 1.120.20
* **Removed**:
  * **GoDaddy Poynt**: GoDaddy Poynt is no longer available as a payment method.
* **Improved**:
  * **CPay**: Enhanced refund capability and webhook readability in ConvesioPay.

2026-03-18 - version 1.120.19
* **Improved**:
  * **Stripe Connect**: Revamped Stripe Connect integration, no more server side dependency.

2026-03-18 - version 1.120.18
* **Added**:
  * **NMI**: Introducing new payment integration NMI.

2026-03-16 - version 1.120.17
* **Added**:
  * **PP-5779**: Introduced a new setting that allows users to toggle the display of the **ConvesioPay logo** next to customer names in the order list.
* **Improved**:
  * **PP-6014**: Enabled **PeachPay payment methods for guest users when running in test mode**, allowing easier testing of guest checkout flows.

2026-02-27 - version 1.120.16
* Rollback of v1.120.15 CPay refactor to restore stable checkout behavior (reverts to v1.120.14 code).

2026-02-27 - version 1.120.15
* CPay Refactor:
* Event Handling: Implemented a unified "listen to change" mechanism to handle updates without component remounting, improving checkout stability and flow.
* Apple Pay: Ensured proper session integration and reliable behavior during checkout.
* Fees Accuracy: Fixed and validated calculation/display of additional fees.
* Cart Logic: Optimized cart recalculation to work smoothly with the new mounting structure.
* Subscriptions: Resolved remount-related issues affecting subscription flows.
* Compliance: Updated implementation to align with WooCommerce standards and best practices.
* Compatibility: Updated tested WordPress version to 6.9.1.

2026-02-26 - version 1.120.14
* CPay bug fix: OneClick fix for classic checkout

2026-02-24 - version 1.120.12
* BTCPay fix (Classic Checkout): Resolved BTCPay not showing by switching to unified nonce + ajax_url handling.
* Account visibility: Display connected ConvesioPay email in PeachPay settings with improved UI.
* Order tracking: Added PeachPay-ConvesioPay identifier to WooCommerce orders for clearer tracking.

2026-02-20 - version 1.120.11
* Fixes for Apple Pay 503 "amount mismatch" and ensuring the user never pays a stale amount

2026-02-20 - version 1.120.10
* Apple Pay 503 Fix: Synced backend/frontend amounts, corrected rounding, fixed line totals, and added logs.
* Component Load Stability: Added retries + conditional Apple Pay init to prevent mount failures.
* Adyen Layout Fix: Removed forced dimensions to restore native responsive sizing.
* Loader & Script Cleanup: Removed custom loader, added error logs, bumped to v1.1.5, stopped duplicate scripts.
* Country Change Fix: Safe unmount + retry logic resolved load errors after address updates

2026-02-13 - version 1.120.9
* Performance Optimization:
* Fixed major checkout performance issue caused by repeated gateway evaluations and heavy operations during a single request.
* Reduced checkout load time from ~20s to ~3.3s, with PeachPay overhead lowered to ~200ms.
* Eliminated redundant calls to gateway and checkout evaluation methods.
* Added per-request caching for gateway availability, checkout data, and icons.
* Reduced unnecessary order metadata loading and limited feature registration to enabled gateways only.
* Optimized Blocks integration to prevent duplicate gateway processing.
* Improved overall performance across all sites running the latest PeachPay version.
* Verified compatibility with ConvesioPay Card and confirmed no functional regressions.

2026-02-12 - version 1.120.8
* CPay Optimization:
* Added admin button on WooCommerce Edit Order to manually fetch and update ConvesioPay payment status (useful if webhook fails).
* Fixed ConvesioPay/Adyen component layout shifts and improved UI loading stability.
* Optimized reconciliation cron to reduce API calls and prevent failed orders from blocking new ones.
* Introduced advanced logging settings with log levels and downloadable logs for easier debugging.
* Improved performance via conditional loading of payment scripts, styles, and image assets.
* Removed legacy analytics module and added checkout/runtime performance optimizations.

2026-01-30 - version 1.120.7
* CPay Enhancement:
* Addition of WP-Cron job for order reconciliation
* Improvements in webhook error handling
* Bug fixes

2026-01-30 - version 1.120.6
* CPay Enhancement:
* Individual card icon selection for ConvesioPay
* Enhanced ConvesioPay payloads
* Enhanced Wallet visibility & default payment method

2026-01-19 - version 1.120.5
* Fix(convesiopay):
* Webhook order lookup for sequential order number plugins
* Gateway injection fallback for early WC gateway access
* Apple Pay not deducting coupon discounts from total
* Respect manualPaymentCapture setting from API response
* Customizable unified gateway label

2026-01-08 - version 1.120.2
* Fix(convesiopay): Ensures payment methods respect the WooCommerce orientation

2026-01-06 - version 1.120.1
* Fix: ConvesioPay webhook signature validation refactor

2026-01-06 - version 1.120.0
* CPay: Introducing dynamic transaction fees for Card, Apple Pay, and BTCPay

2026-01-05 - version 1.119.9
* Introducing WooCommerce Subscriptions support for ConvesioPay

2026-01-03 - version 1.119.8
* Addition of two new compliance fields in the field editor and bug fixes

2025-12-31 - version 1.119.7
* Premium refactor- remove and refactor additional premium related code
* Fix checkout component CSS override

2025-12-24 - version 1.119.6
* Use original Adyen payment ID for refunds instead of updated lifecycle PID

2025-12-16 - version 1.119.5
* CPay: Move from using $(document.body) to triggerHandler()

2025-12-13 - version 1.119.2
* Rolled back ConvesioPay token hardening/diagnostics changes (revert PR #1278)
* Bumped ConvesioPay unified classic script version to 1.0.6

2025-12-12 - version 1.119.1
* Caching bug fix

2025-12-12 - version 1.119.0
* Resolved race condition for peachpay_transaction_id field and additional order logging implemented

2025-12-09 - version 1.118.9
* CPay: One-Click CSS issue fix

2025-12-02 - version 1.118.8
* Make shipping_email optional by default in field presets
* Enable all display location options for Apple Pay in CPAY > ApplePay> Manage
* Replace Google Maps Places API with Radar API for address autocomplete

2025-12-01 - version 1.118.7
* CPay - Prevents form field labels (card holder name, etc.) from being hidden

2025-11-24 - version 1.118.6
* Busted link fix and side bar UI fix

2025-11-19 - version 1.118.5
* CPay/BTCPay payment initialization fix

2025-11-13 - version 1.118.4
* ConvesioPay Enhancement and Express Checkout bug fix

2025-11-12 - version 1.118.3
* ConvesioPay Checkout Blocks Support

2025-11-11 - version 1.118.2
* ConvesioPay Express Checkout window integration

2025-11-04 - version 1.118.1
* Updated plugin display name to comply with WordPress.org guidelines

2025-10-28 - version 1.118.0
* ConvesioPay- ApplePay Coupon Fix

2025-10-27 - version 1.117.9
* Introducing ConvesioPay Integration

2025-10-21 - version 1.117.8
* Fix SEPA Debit blocks fatal error causing white screen

2025-10-01 - version 1.117.7
* Bug fixes

2025-08-06 - version 1.117.3
* Analytics: Fixed abandoned carts banner image not displaying properly
* Settings: Updated WordPress version compatibility to 6.8.1
* UI: Improved asset URL generation consistency

2025-01-15 - version 1.117.2
* Dashboard: Removed PeachPay service fee messaging from dashboard interface
* Analytics: Fixed broken abandoned carts banner image display
* Payments: Updated Square Web Payments SDK types to v1.51.2
* Assets: Improved asset URL generation using peachpay_url() function
* UI: Clean up dashboard user interface and improved asset loading

2025-07-25 - version 1.117.1
* Bug fixes

2021-05-14 - version 1.35.1
* Initial release on WooCommerce Marketplace
* For information about previous versions, see the changelog in readme.txt
